org.apache.solr.client.solrj.impl

## Class PreferenceRule

- java.lang.Object
- - org.apache.solr.client.solrj.impl.PreferenceRule

    public class PreferenceRule
    extends Object

### Field Summary

Fields
`String` `name`
`String` `value`

### Constructor Summary

Constructors
Constructor and Description
`PreferenceRule(String name, String value)`

### Method Summary

All Methods Static Methods Concrete Methods
`static List<PreferenceRule>` `from(String rules)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### name

    public final String name

#### value

    public final String value

### Constructor Detail

#### PreferenceRule

    public PreferenceRule(String name,
                          String value)

### Method Detail

#### from

    public static List<PreferenceRule> from(String rules)